Bug Hunting Session
Bug 53979 - EDITING: SIGABRT on Sort Selection by Column
Summary: EDITING: SIGABRT on Sort Selection by Column
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-23 19:55 UTC by Brian
Modified: 2012-08-27 14:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Document (20.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-08-23 19:55 UTC, Brian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian 2012-08-23 19:55:28 UTC
Created attachment 66030 [details]
Test Document

Overview:

Sorting a selected area of certain documents by a single column results in a SIGABRT. Test document attached.

Steps to Reproduce:

1. Select a section of attached document (for example A7 to J27).

2. Go to Data > Sort, choose a column for Sort key 1, and click OK.

Actual Results:

Program crashes.

Expected Results:

Selected area sorts on selected column.

Crash Log:

Program received signal SIGABRT, Aborted.
0x00007fd7737cf4e5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
	in ../nptl/sysdeps/unix/sysv/linux/raise.c



Thread 5 (Thread 0x7fd769715910 (LWP 9474)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fd774510d60 in ?? ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#2  0x00007fd77358765d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00007fd77386e14d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fd7619c9910 (LWP 9477)):
#0  0x00007fd77386ee5b in accept () from /lib64/libc.so.6
#1  0x00007fd774504a22 in osl_acceptPipe ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#2  0x00007fd7742c5132 in ?? () from /opt/libreoffice3.6/program/libsofficeapp.so
#3  0x00007fd77246c583 in salhelper::Thread::run() ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_salhelpergcc3.so.3
#4  0x00007fd77246c90a in ?? ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_salhelpergcc3.so.3
#5  0x00007fd77450ab4d in ?? ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#6  0x00007fd77358765d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00007fd77386e14d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()
Current language:  auto
The current source language is "auto; currently asm".

Thread 3 (Thread 0x7fd75cb38910 (LWP 9485)):
#0  0x00007fd773865033 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fd766bd2e83 in ?? () from /opt/libreoffice3.6/program/libvclplug_genlo.so
#2  0x00007fd766bd2f5e in ?? () from /opt/libreoffice3.6/program/libvclplug_genlo.so
#3  0x00007fd77450ab4d in ?? ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#4  0x00007fd77358765d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#5  0x00007fd77386e14d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()
Current language:  auto
The current source language is "auto; currently c".

Thread 2 (Thread 0x7fd74ab20910 (LWP 9510)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fd77452ba11 in osl_waitCondition ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#2  0x00007fd75856f3da in ?? () from /opt/libreoffice3.6/program/../program/liblnglo.so
#3  0x00007fd77450ab4d in ?? ()
   from /opt/libreoffice3.6/program/../ure-link/lib/libuno_sal.so.3
#4  0x00007fd77358765d in start_thread (arg=<value optimized out>) at pthread_create.c:297
#5  0x00007fd77386e14d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd774934900 (LWP 9473)):
#0  0x00007fd7737cf4e5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007fd7737d09b0 in abort () at abort.c:88
#2  0x00007fd77380a66d in __libc_message (do_abort=2, fmt=
    0x7fff28537740 "   /lib64/ld-2.10.1.so\n7fff28505000-7fff2853b000 rw-p 00000000 00:00 0", ' ' <repeats 26 times>, "[stack]\n7fff285ff000-7fff28600000 r-xp 00000000 00:00 0", ' ' <repeats 26 times>, "[vdso]\nffffffffff600000"...) at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x00007fd77380fc76 in malloc_printerr (action=3, str=
    0x7fd7738bf898 "double free or corruption (fasttop)", ptr=<value optimized out>)
    at malloc.c:6239
#4  0x00007fd77381496c in __libc_free (mem=<value optimized out>) at malloc.c:3738
#5  0x00007fd75b8b3d21 in ScNotes::insert(short, int, ScPostIt*) ()
   from /opt/libreoffice3.6/program/../program/libsclo.so
#6  0x00007fd75b8d4609 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#7  0x00007fd75b8d6500 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#8  0x00007fd75b8d9616 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#9  0x00007fd75b7ed507 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#10 0x00007fd75bb7ffc8 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#11 0x00007fd75be1e616 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#12 0x00007fd75be1ebe9 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#13 0x00007fd75be18d10 in ?? () from /opt/libreoffice3.6/program/../program/libsclo.so
#14 0x00007fd771f6ba52 in ?? () from /opt/libreoffice3.6/program/libsfxlo.so
#15 0x00007fd771f6100b in ?? () from /opt/libreoffice3.6/program/libsfxlo.so
#16 0x00007fd771f81606 in ?? () from /opt/libreoffice3.6/program/libsfxlo.so
#17 0x00007fd771f81e79 in ?? () from /opt/libreoffice3.6/program/libsfxlo.so
#18 0x00007fd75e4a7a16 in ?? () from /opt/libreoffice3.6/program/../program/libfwklo.so
#19 0x00007fd7700a4cc1 in Menu::Select() () from /opt/libreoffice3.6/program/libvcllo.so
#20 0x00007fd77009fa55 in ?? () from /opt/libreoffice3.6/program/libvcllo.so
#21 0x00007fd770124d11 in ?? () from /opt/libreoffice3.6/program/libvcllo.so
#22 0x00007fd77012f0ce in SalGenericDisplay::DispatchInternalEvent() ()
   from /opt/libreoffice3.6/program/libvcllo.so
#23 0x00007fd768cc7967 in ?? () from /opt/libreoffice3.6/program/libvclplug_gtklo.so
#24 0x00007fd768cc79d9 in ?? () from /opt/libreoffice3.6/program/libvclplug_gtklo.so
#25 0x00007fd76705edde in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#26 0x00007fd7670627a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#27 0x00007fd7670628d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#28 0x00007fd768cc7acd in ?? () from /opt/libreoffice3.6/program/libvclplug_gtklo.so
#29 0x00007fd76fe64011 in Application::Yield(bool) ()
   from /opt/libreoffice3.6/program/libvcllo.so
#30 0x00007fd76fe640c7 in Application::Execute() ()
   from /opt/libreoffice3.6/program/libvcllo.so
#31 0x00007fd774298a57 in salhelper::SimpleReferenceObject::operator new(unsigned long) ()
   from /opt/libreoffice3.6/program/libsofficeapp.so
#32 0x00007fd76fe6a9a7 in ?? () from /opt/libreoffice3.6/program/libvcllo.so
#33 0x00007fd76fe6aa75 in SVMain() () from /opt/libreoffice3.6/program/libvcllo.so
#34 0x00007fd7742c6f67 in soffice_main () from /opt/libreoffice3.6/program/libsofficeapp.so
#35 0x000000000040070b in soffice_main ()
#36 0x00007fd7737bba7d in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff28539fc8)
    at libc-start.c:220
#37 0x000000000040066a in soffice_main ()
#38 0x00007fff28539fc8 in ?? ()
#39 0x000000000000001c in ?? ()
#40 0x0000000000000003 in ?? ()
#41 0x00007fff2853add9 in ?? ()
#42 0x00007fff2853ae01 in ?? ()
#43 0x00007fff2853ae07 in ?? ()
#44 0x0000000000000000 in ?? ()
Current language:  auto
The current source language is "auto; currently asm".
Current language:  auto
The current source language is "auto; currently c".
Comment 1 billhook 2012-08-24 01:08:35 UTC
I tried this on LO 3.6.1.1rc Windows Vista 32bit.

After following the exact steps, LO changed to "not responding" and is still hung after approx 10 mins.
Comment 2 Markus Mohrhard 2012-08-24 16:15:20 UTC
Most likely one for me.
Comment 3 Markus Mohrhard 2012-08-26 18:29:43 UTC
Fixed it and another related problem now.
Comment 4 Not Assigned 2012-08-27 14:39:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b0a7dc8b787b7be31b1b58a5ea6a9fc7207996d

when swaping cols or rows insert notes at the right place, fdo#53979
Comment 5 Not Assigned 2012-08-27 14:39:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c1d36c575399fcd8743cfe3b96e107e821cbe65&g=libreoffice-3-6

when swaping cols or rows insert notes at the right place, fdo#53979


It will be available in LibreOffice 3.6.2.